Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.discovery
Class SchemaComponent

    java.lang.Object
      org.deegree.ogcwebservices.csw.discovery.SchemaComponent

    public class SchemaComponent

extends Object

A schema component includes a schema fragment (type definition) or an entire schema from some target namespace; the schema language is identified by URI. If the component is a schema fragment its parent MUST be referenced (parentSchema).

Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , Torsten Friebe , Markus Schneider , last edited by: $Author: mschneider $

Constructor Summary
`SchemaComponent(XMLFragment schema, URI targetNamespace, URI parentNamespace, URI schemaLanguage)`

Method Summary
`URI` | `getParentSchema()` optional
`XMLFragment` | `getSchema()` This is the type description itself (as an `XMLFragment`).
`URI` | `getSchemaLanguage()` fixed: XMLSCHEMA
`URI` | `getTargetNamespace()` mandatory

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaComponent

    public SchemaComponent(XMLFragment schema,
                           URI targetNamespace,
                           URI parentNamespace,
                           URI schemaLanguage)

Parameters:
  `schema` -
  `targetNamespace` -
  `parentNamespace` -
  `schemaLanguage` -

Method Detail

### getSchema

    public XMLFragment getSchema()

  This is the type description itself (as an `XMLFragment`).

  Returns:
    schema

### getTargetNamespace

    public URI getTargetNamespace()

  mandatory

  Returns:
    target namespace URI

### getParentSchema

    public URI getParentSchema()

  optional

  Returns:
    parent schema

### getSchemaLanguage

    public URI getSchemaLanguage()

  fixed: XMLSCHEMA

  Returns:
    schema language

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org